-- Verify camper:available_languages on pg

begin;

set search_path to public;

select 1 / count(*)
from language
where lang_tag = 'und'
  and name = 'Undefined'
  and endonym = 'Undefined'
  and not selectable
  and currency_pattern = '%[3]s%.[1]*[2]f'
  and redsys_code = 0;

select 1 / count(*)
from language
where lang_tag = 'ca'
  and name = 'Catalan'
  and endonym = 'català'
  and selectable
  and currency_pattern = '%.[1]*[2]f %[3]s'
  and redsys_code = 3;

select 1 / count(*)
from language
where lang_tag = 'en'
  and name = 'English'
  and endonym = 'English'
  and selectable
  and currency_pattern = '%[3]s%.[1]*[2]f'
  and redsys_code = 2;

select 1 / count(*)
from language
where lang_tag = 'fr'
  and name = 'French'
  and endonym = 'français'
  and selectable
  and currency_pattern = '%.[1]*[2]f %[3]s'
  and redsys_code = 4;

select 1 / count(*)
from language
where lang_tag = 'es'
  and name = 'Spanish'
  and endonym = 'español'
  and selectable
  and currency_pattern = '%.[1]*[2]f %[3]s'
  and redsys_code = 1;

rollback;
